#
# spec file for package rubygem-sqlite3
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sqlite3
Version:        2.1.0
Release:        1.1
%define mod_name sqlite3
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  %{rubygem mini_portile2 >= 2.8.0}
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 3.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
URL:            https://github.com/sparklemotion/sqlite3-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby library to interface with the SQLite3 database engine
License:        BSD-3-Clause

%description
Ruby library to interface with the SQLite3 database engine
(http://www.sqlite.org). Precompiled
binaries are available for common platforms for recent versions of Ruby.

%prep

%build

%install
# MANUAL
# patch out the runtime dep on mini_portile2
%gem_unpack
perl -p -i.back -e 's/.*mini_portile.*//g' %{mod_full_name}.gemspec
diff -urN %{mod_full_name}.gemspec{.back,} ||:
rm -f %{mod_full_name}.gemspec.back

find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build
cd ..
# /MANUAL
%gem_install \
  --extconf-opts="--enable-system-libraries" \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/ -name "*.[h|c|o]" -exec rm {} \;
# /MANUAL

%gem_packages

%changelog
* Mon Oct 21 2024 Marcus Rueckert <mrueckert@suse.de>
- updated to version 2.1.0
  see installed CHANGELOG.rdoc
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.4
  see installed CHANGELOG.rdoc
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.2
  see installed CHANGELOG.rdoc
  === 1.4.2
  * Travis: Drop unused setting "sudo: false"
  * The taint mechanism will be deprecated in Ruby 2.7
  * Fix Ruby 2.7 rb_check_safe_obj warnings
  * Update travis config
  === 1.4.1
  * Don't mandate dl functions for the extention build
  * bumping version
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.1
  see installed CHANGELOG.rdoc
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.0
  see installed CHANGELOG.rdoc
  === 1.4.0
  * Enhancements
  * Better aggregator support
  * Bugfixes
  * Various
  === 1.3.13
  * Enancements
  * Support SQLite flags when defining functions
  * Add definition for SQLITE_DETERMINISTIC flag
* Fri Jan  6 2017 coolo@suse.com
- updated to version 1.3.13
  see installed CHANGELOG.rdoc
* Sun Oct  9 2016 coolo@suse.com
- updated to version 1.3.12
  see installed CHANGELOG.rdoc
  === 1.3.12
  * Bugfixes:
  * OS X install will default to homebrew if available. Fixes #195
* Sun Oct 11 2015 coolo@suse.com
- updated to version 1.3.11
  see installed CHANGELOG.rdoc
  === 1.3.11 / 2015-10-10
  * Enhancements:
  * Windows: build against SQLite 3.8.11.1
  * Internal:
  * Use rake-compiler-dock to build Windows binaries. Pull #159 [larskanis]
  * Expand Ruby versions being tested for Travis and AppVeyor
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.3.10
  * Enhancements:
  * Windows: build against SQLite 3.8.7.1. Closes #134, #135 [Hubro]
* Sat Nov  1 2014 tboerger@suse.com
- Removed rpmlinrc file because the warnings have been solved
* Fri Oct 17 2014 coolo@suse.com
- adding rpmlintrc as source
* Tue Oct 14 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.3.9
  * Bugfixes:
  * Reset exception message. Closes #80
  * Reduce warnings due unused pointers. Closes #89
  * Add BSD-3 license reference to gemspec. Refs #99 and #106
* Mon Feb 10 2014 cfarrell@suse.com
- license update: BSD-3-Clause
  See LICENSE in data/
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.3.8
  * Enhancements:
  * Windows: build against SQLite 3.7.17
  * Bugfixes:
  * Reset exception message. Closes #80
  * Correctly convert BLOB values to Ruby. Closes #65
  * Add MIT license reference to gemspec. Closes #99
  * Remove unused pointer. Closes #89
  * Internal:
  * Backport improvements in cross compilation for Windows
  * Use of Minitest for internal tests
  * Use Gemfile (generated by Hoe) to deal with dependencies
  * Cleanup Travis CI
* Sun Jan 20 2013 coolo@suse.com
- updated to version 1.3.7
  * Bugfixes
  * Closing a bad statement twice will not segv.
  * Internal
  * Unset environment variables that could affect cross compilation.
* Tue Apr 17 2012 coolo@suse.com
- update to 1.3.6
  * Enhancements
  * Windows: build against SQLite 3.7.11
  * Added SQLite3::ResultSet#each_hash for fetching each row as a hash.
  * Added SQLite3::ResultSet#next_hash for fetching one row as a hash.
  * Bugfixes
  * Support both UTF-16LE and UTF-16BE encoding modes on PPC. Closes #63
  * Protect parameters to custom functions from being garbage collected too
    soon. Fixes #60. Thanks hirataya!
  * Fix backwards compatibility with 1.2.5 with bind vars and `query` method.
    Fixes #35.
  * Fix double definition error caused by defining sqlite3_int64/uint64.
  * Fix suspicious version regexp.
  * Deprecations
  * ArrayWithTypesAndFields#types is deprecated and the class will be removed
    in version 2.0.0.  Please use the `types` method on the ResultSet class
    that created this object.
  * ArrayWithTypesAndFields#fields is deprecated and the class will be removed
    in version 2.0.0.  Please use the `columns` method on the ResultSet class
    that created this object.
  * The ArrayWithTypesAndFields class will be removed in 2.0.0
  * The ArrayWithTypes class will be removed in 2.0.0
  * HashWithTypesAndFields#types is deprecated and the class will be removed
    in version 2.0.0.  Please use the `types` method on the ResultSet class
    that created this object.
  * HashWithTypesAndFields#fields is deprecated and the class will be removed
    in version 2.0.0.  Please use the `columns` method on the ResultSet class
* Thu Apr  5 2012 coolo@suse.com
- update to 1.3.5
  * Enhancements
  * Windows: build against SQLite 3.7.9
  * Static: enable SQLITE_ENABLE_COLUMN_METADATA
  * Added Statement#clear_bindings! to set bindings back to nil
  * Bugfixes
  * Fixed a segv on Database.new. Fixes #34 (thanks nobu!)
  * Database error is not reset, so don't check it in Statement#reset!
  * Remove conditional around Bignum statement bindings.
    Fixes #52. Fixes #56. Thank you Evgeny Myasishchev.
  * Internal
  * Use proper endianness when testing database connection with UTF-16.
    Fixes #40. Fixes #51
  * Use -fPIC for static compilation when host is x86_64.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Aug 19 2011 fcastelli@novell.com
- update to version 1.3.4
  * Enhancements:
  - Windows: build against SQLite 3.7.7.1
  - Windows: build static binaries that do not depend on sqlite3.dll be installed anymore
  * Bugfixes
  - Backup API is conditionaly required so that older libsqlite3 can be used. Thanks Hongli Lai.
  - Fixed segmentation fault when nil is passed to SQLite3::Statement.new
  - Fix extconf’s hardcoded path that affected installation on certain systems.
* Tue Apr 12 2011 mrueckert@suse.de
- update to version 1.3.3
  * Abort on installation if sqlite3_backup_init is missing.
    Fixes #19
- switched to "sqlite3" instead of "sqlite3-ruby"
- additional changes from 1.3.2
  * SQLite3::Database can now be open as readonly
    db = SQLite3::Database.new('my.db', :readonly => true)
  * Added SQLite3::SQLITE_VERSION and
    SQLite3::SQLITE_VERSION_NUMBER [nurse]
  * type_translation= works along with Database#execute and a block
  * defined functions are kept in a hash to prevent GC. #7
  * Removed GCC specific flags from extconf.
  * SQLite3::Database#type_translation= will be deprecated in the
    future with no replacement.
  * SQlite3::Version will be deprecated in 2.0.0 with
    SQLite3::VERSION as the replacement.
- additional changes from 1.3.1
  * Custom collations may be defined using
    SQLite3::Database#collation
  * Statements returning 0 columns are automatically stepped.
    [RF #28308]
  * SQLite3::Database#encoding works on 1.8 and 1.9
- added sqlite3-1.3.3_no_stupid_paths.patch:
  the extconf.rb was adding some stupid paths to the linker
  cmdline. the patch removes those entries.
  patch applied to gem itself and rebuild the gem.
- split out doc and testsuite
- updated rpmlintrc to a less stupid version
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.3.0
  - Complete rewrite of C-based adapter from SWIG to hand-crafted
    one [tenderlove] See API_CHANGES document for details.  This
    closes: Bug #27300, Bug #27241, Patch #16020
  - Improved UTF, Unicode, M17N, all that handling and proper BLOB
    handling [tenderlove, nurse]
  - Added support for type translations [tenderlove]
  - Added API to access and load extensions. [kashif] These
    functions maps directly into SQLite3 own
    enable_load_extension() and load_extension() C-API functions.
    See SQLite3::Database API documentation for details.  This
    closes: Patches #9178
  - Corrected gem dependencies (runtime and development)
  - Fixed threaded tests [Alexey Borzenkov]
  - Removed GitHub gemspec
  - Fixed "No definition for" warnings from RDoc
  - Generate zip and tgz files for releases
  - Added Luis Lavena as gem Author (maintainer)
  - Prevent mkmf interfere with Mighty Snow Leopard
  - Allow extension compilation search for common lib paths
    [kashif] (lookup /usr/local, /opt/local and /usr)
  - Corrected extension compilation under MSVC [romuloceccon]
  - Define load_extension functionality based on availability
    [tenderlove]
  - Deprecation notices for Database#query. Fixes RF #28192
  - Added support for type translations [tenderlove]
  - Allow extension compilation search for common lib paths
    [kashif] (lookup /usr/local, /opt/local and /usr)
  - Corrected extension compilation under MSVC [romuloceccon]
  - Define load_extension functionality based on availability
    [tenderlove]
  - Deprecation notices for Database#query. Fixes RF #28192
  - Complete rewrite of C-based adapter from SWIG to hand-crafted
    one [tenderlove] See API_CHANGES document for details.  This
    closes: Bug #27300, Bug #27241, Patch #16020
  - Improved UTF, Unicode, M17N, all that handling and proper BLOB
    handling [tenderlove, nurse]
  - Added API to access and load extensions. [kashif] These
    functions maps directly into SQLite3 own
    enable_load_extension() and load_extension() C-API functions.
    See SQLite3::Database API documentation for details.  This
    closes: Patches #9178
  - Fixed threaded tests [Alexey Borzenkov]
  - Fixed "No definition for" warnings from RDoc
* Mon Oct 26 2009 mrueckert@suse.de
- update to version 1.2.5
  * Check for illegal nil before executing SQL [Erik Veenstra]
  * Switch to Hoe for gem task management and packaging.
  * Advertise rake-compiler as development dependency.
  * Build gem binaries for Windows.
  * Improved Ruby 1.9 support compatibility.
  * Taint returned values. Patch #20325.
- fixes missing license file (bnc#549261)
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 1.2.4
  - Fix incorrect permissions on database.rb and translator.rb
    [Various]
  - Avoid using Object#extend for greater speedups [Erik Veenstra]
  - Ruby 1.9 compatibility tweaks for Array#zip [jimmy88@gmail.com]
  - Fix linking against Ruby 1.8.5
    [Rob Holland <rob@inversepath.com>]
  - Make the table_info method adjust the returned default value
    for the rows so that the sqlite3 change in 3.3.8 and greater
    can be handled transparently [Jamis Buck
    <jamis@37signals.com>]
  - Ruby 1.9 compatibility tweaks [Roman Le Negrate
    <roman2k@free.fr>]
  - Various performance enhancements [thanks Erik Veenstra]
  - Correct busy_handler documentation
    [Rob Holland <rob@inversepath.com>]
  - Use int_bind64 on Fixnum values larger than a 32bit C int can
    take. [Rob Holland <rob@inversepath.com>]
  - Work around a quirk in SQLite's error reporting by calling
    sqlite3_reset to produce a more informative error code upon a
    failure from sqlite3_step. [Rob Holland <rob@inversepath.com>]
  - Various documentation, test, and style tweaks
    [Rob Holland <rob@inversepath.com>]
  - Be more granular with time/data translation
    [Rob Holland <rob@inversepath.com>]
  - Use Date directly for parsing rather than going via Time
    [Rob Holland <rob@inversepath.com>]
  - Check for the rt library and fdatasync so we link against that
    when needed [Rob Holland <rob@inversepath.com>]
  - Rename data structures to avoid collision on win32. based on
    patch by: Luis Lavena [Rob Holland <rob@inversepath.com>]
  - Add test for defaults [Daniel Rodríguez Troitiño]
  - Correctly unquote double-quoted pragma defaults
    [Łukasz Dargiewicz <lukasz.dargiewicz@gmail.com>]
* Tue May 22 2007 mrueckert@suse.de
- update to version 1.2.1
  Only a single change in this release: sqlite3 3.3.8 and higher
  have changed the format of the 'dflt_value' column for the
  table_info pragma.  This caused breakage in apps that depend on
  that pragma, like Ruby on Rails. This release makes the
  Database#table_info helper check the libversion, and adjust the
  dflt_value column accordingly. If you want the new format and not
  the old, you can invoke the table_info pragma directly, instead
  of using the helper.
- added rubygem-native-rpmlintrc
* Thu Oct 19 2006 mrueckert@suse.de
- use gem_build_cleanup
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- remove build files
- added swig to the buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.1.0
